### Class

# Gtk AnyFilter

since: 4.0

#### Description [src]

    final class Gtk.AnyFilter : Gtk.MultiFilter
      implements Gio.ListModel, Gtk.Buildable {
      /* No available fields */
    }

`GtkAnyFilter` matches an item when at least one of its filters matches.

To add filters to a `GtkAnyFilter`, use `gtk_multi_filter_append()`.

Available since: 4.0

#### Ancestors

- GtkMultiFilter
- GtkFilter
- GObject

#### Implements

- GListModel
- GtkBuildable

#### Constructors

###### gtk_any_filter_new

Creates a new empty “any” filter.

since: 4.0

#### Instance methods

##### Methods inherited from GtkMultiFilter (2)

###### gtk_multi_filter_append

Adds a `filter` to `self` to use for matching.

since: 4.0

###### gtk_multi_filter_remove

Removes the filter at the given `position` from the list of filters used by `self`.

since: 4.0

##### Methods inherited from GtkFilter (3)

###### gtk_filter_changed

Notifies all users of the filter that it has changed.

since: 4.0

###### gtk_filter_get_strictness

Gets the known strictness of `filters`.

since: 4.0

###### gtk_filter_match

Checks if the given `item` is matched by the filter or not.

since: 4.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

since: 2.44

###### g_list_model_get_item_type

Gets the type of the items in `list`.

since: 2.44

###### g_list_model_get_n_items

Gets the number of items in `list`.

since: 2.44

###### g_list_model_get_object

Get the item at `position`.

since: 2.44

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

since: 2.44

##### Methods inherited from GtkBuildable (1)

###### gtk_buildable_get_buildable_id

Gets the ID of the `buildable` object.

since: 4.0

#### Properties

##### Properties inherited from GtkMultiFilter (2)

###### Gtk.MultiFilter:item-type

The type of items. See `g_list_model_get_item_type()`.

since: 4.8

###### Gtk.MultiFilter:n-items

The number of items. See `g_list_model_get_n_items()`.

since: 4.8

#### Signals

##### Signals inherited from GtkFilter (1)

###### GtkFilter::changed

Emitted whenever the filter changed.

since: 4.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

##### Signals inherited from GListModel (1)

###### GListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

since: 2.44

#### Class structure

    struct GtkAnyFilterClass {
      /* no available fields */
    }

No description available.